Noticias

Se ha publicado un nuevo servicio, el Portal de Juegos Online

Comunidad Game Maker

Bienvenid@ a la comunidad hispana de Game Maker. Nuestro objetivo es crear videojuegos y dar soporte en castellano de GM. Para mejorar nuestro servicio hemos implantado, como adicion al reglamento general, algunas normas especificas en los subforos más comunes. ¡No olvides informarte antes de participar!.

Autor Tema: Error la exportar a android  (Leído 172 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado The Dokz

en: Diciembre 06, 2018, 02:08:22 am
alguien sabe solucionar este error ya que estoy haciendo un juego para android

ademas alguien sabe como solucionar este error?

Observed package id 'build-tools;18.0.1' in inconsistent location 'C:\Users\USUARIO\Documents\Game Maker Studio Android exportation\adt-bundle-windows-x86_64-20130729\sdk\build-tools\android-4.3' (Expected 'C:\Users\USUARIO\Documents\Game Maker Studio Android exportation\adt-bundle-windows-x86_64-20130729\sdk\build-tools\18.0.1')
Observed package id 'system-images;android-18;default;armeabi-v7a' in inconsistent location 'C:\Users\USUARIO\Documents\Game Maker Studio Android exportation\adt-bundle-windows-x86_64-20130729\sdk\system-images\android-18\armeabi-v7a' (Expected 'C:\Users\USUARIO\Documents\Game Maker Studio Android exportation\adt-bundle-windows-x86_64-20130729\sdk\system-images\android-18\default\armeabi-v7a')

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring project ':com.companyname.TrapSpike2'.
> failed to find target with hash string 'android-9' in: C:\Users\USUARIO\Documents\Game Maker Studio Android exportation\adt-bundle-windows-x86_64-20130729\sdk

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31.787 secs
cmd /c "subst /d Z:"

Lint Build report available at C:\Users\USUARIO\Documents\GameMaker\Cache\TrapSpike2\Android\Default\com.companyname.TrapSpike2\build\outputs\lint-results.html
Create finished: 22:05:48
« última modificación: Diciembre 06, 2018, 02:12:06 am por The Dokz »

Dokz Para ti
 


No Tienes Permisos Para Dar Puntos
point 0 Puntos

Este tema no recibió puntos.


Desconectado yokaiworld

Respuesta #1 en: Diciembre 06, 2018, 03:53:03 am
solo una duda porque pones el build tools en 9.0.3 si quiers publicar en google play deberia ser  26? aunque no es que yo sepa mucho
« última modificación: Diciembre 06, 2018, 03:55:03 am por yokaiworld »

 


Desconectado PRO PAPU

  • Visitante
  • *
  • Puntos: 11
  • Mensajes: 4
    • Ver Perfil
Respuesta #2 en: Diciembre 10, 2018, 02:53:48 am
Lo primero que tienes que hacer es descargar todos los paquetes de los build-tools + todos los paquetes de los extras para ncluyendo los obsoletos

Lo que pasa a continuación varía de versiones de game Maker

Puede que después de eso te siga apareciendo un error que dice
Build fáiled error en XML por android - x ( donde x puede ser cualquier numero), si te dice esto por ejemplo:
Android 8 tienes que descargar ese número de API que es el Api8
« última modificación: Diciembre 10, 2018, 02:56:13 am por PRO PAPU »

 


Desconectado The Dokz

Respuesta #3 en: Diciembre 13, 2018, 05:42:18 am
Lo primero que tienes que hacer es descargar todos los paquetes de los build-tools + todos los paquetes de los extras para ncluyendo los obsoletos

Lo que pasa a continuación varía de versiones de game Maker

Puede que después de eso te siga apareciendo un error que dice
Build fáiled error en XML por android - x ( donde x puede ser cualquier numero), si te dice esto por ejemplo:
Android 8 tienes que descargar ese número de API que es el Api8
es que tengo los sdk instalados por cmd

Dokz Para ti